Skip to main content
POST
/
environments
/
{environmentId}
/
checkouts
Create a checkout
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/checkouts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "payment",
  "settlementConfig": {
    "strategy": "cheapest",
    "settlements": [
      {
        "chainName": "ETH",
        "tokenAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
        "chainId": "An example name",
        "symbol": "An example name"
      }
    ]
  },
  "destinationConfig": {
    "destinations": [
      {
        "chainName": "ETH",
        "type": "address",
        "identifier": "An example name"
      }
    ]
  },
  "depositConfig": {
    "minimum": "<string>",
    "presets": [
      "<string>"
    ]
  },
  "enableOrchestration": true,
  "integratorFeeBps": 500,
  "geoRestrictions": [
    "US"
  ],
  "exchangeRestrictions": [
    "An example name"
  ]
}
'
{
  "id": "95b11417-f18f-457f-8804-68e361f9164f",
  "mode": "payment",
  "settlementConfig": {
    "strategy": "cheapest",
    "settlements": [
      {
        "chainName": "ETH",
        "tokenAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
        "chainId": "An example name",
        "symbol": "An example name"
      }
    ]
  },
  "destinationConfig": {
    "destinations": [
      {
        "chainName": "ETH",
        "type": "address",
        "identifier": "An example name"
      }
    ]
  },
  "enableOrchestration": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "depositConfig": {
    "minimum": "<string>",
    "presets": [
      "<string>"
    ]
  },
  "integratorFeeBps": 123,
  "geoRestrictions": [
    "US"
  ],
  "exchangeRestrictions": [
    "An example name"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
mode
enum<string>
required
Available options:
payment,
deposit
settlementConfig
object
required
destinationConfig
object
required
depositConfig
object
enableOrchestration
boolean
default:true
integratorFeeBps
integer
Required range: 0 <= x <= 1000
geoRestrictions
string[]
Maximum string length: 4
Pattern: ^[a-zA-Z]{2,4}\d?$
exchangeRestrictions
string[]
Maximum string length: 50
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$

Response

Checkout created successfully

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

mode
enum<string>
required
Available options:
payment,
deposit
settlementConfig
object
required
destinationConfig
object
required
enableOrchestration
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
depositConfig
object
integratorFeeBps
integer
geoRestrictions
string[]
Maximum string length: 4
Pattern: ^[a-zA-Z]{2,4}\d?$
exchangeRestrictions
string[]
Maximum string length: 50
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$